> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/88.-mutacija-eksportuoti-zonu-zemelapi-kaip-suglaudinta-shapefile.md).

# 88. Mutacija: eksportuoti zonų žemėlapį kaip suglaudintą Shapefile

Sugeneruokite zip archyvą su pasirinktą „ZonesMap“ kaip shapefile.

{% hint style="info" %}
Archyvas susideda iš \*.shp, \*.shx, \*.prj, \*.dbf failų EPSG:4326 koordinačių sistemoje.
{% endhint %}

### 1. Paruošimas

* Atributas `vectorAnalysisMaps` turi masyvą ZonesMaps (VectorAnalysisMaps) objektų, kurie bus eksportuoti. Kiekvienas toks objektas apima porą `fieldUuid` (saitą į pasirinktą lauką) ir `uuid` (saitą į pasirinktą ZonesMap).
* Būlio tipo atributas `asMultiGeometry` nustato, ar zonos eksportuojamos kaip `Poligonai` arba `MultiPoligonai` (kai nustatyta į `true` ).
* Būlio tipo atributas `onlyProductColumns` nurodo, ar shapefile faile turi būti įtrauktos tik stulpeliai su produktais (RX) (kai `true`). Priešingu atveju bus įtraukti visi statistiniai atributai ir zonų ID kaip stulpeliai.
* Atributas `archiveName` saugo sugeneruoto zip archyvo pavadinimą.
* Atributas `filePostfix` leidžia pridėti pasirinktinius posakius prie eksporto failų ir archyvo.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Atsisiųskite sugeneruotą archyvą

Vykdžius GraphQL užklausą, jį galima atsisiųsti naudojant `curl` ar panašų būdą.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/88.-mutacija-eksportuoti-zonu-zemelapi-kaip-suglaudinta-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
